PyuTestCore.make_sword = function (nsname, desc, texture, damage, durability, atkspeed)
  PyuTestCore.make_tool(nsname, desc, {
      weapon = 1
  }, texture, {
      stack_max = 1,
      tool_capabilities = PyuTestCore.tool_caps({
	  uses = durability / 2,
	  attack_uses = durability,
	  damage_groups = {fleshy = damage or 3},
	  full_punch_interval = atkspeed or 1
      })
  })
end

PyuTestCore.make_sword("pyutest_core:wooden_sword", "Wooden Sword", "pyutest-wooden-sword.png", 4, 69, 1.1)
PyuTestCore.make_sword("pyutest_core:stone_sword", "Stone Sword", "pyutest-stone-sword.png", 5, 274, 1.05)
PyuTestCore.make_sword("pyutest_core:iron_sword", "Iron Sword", "pyutest-iron-sword.png", 6, 689, 0.8)
PyuTestCore.make_sword("pyutest_core:diamond_sword", "Diamond Sword", "pyutest-diamond-sword.png", 7, 1345, 0.7)
